// Copyright 2023 TigRig All rights reserved.

(function () {
    // TyranoScript v514 のソースコードを流用 https://github.com/ShikemokuMK/tyranoscript/blob/v514/tyrano/plugins/kag/kag.menu.js
    // ※TyranoScriptのバージョンアップを行った場合、正しく動作しなくなる可能性あり
    TYRANO.kag.evalScript = function (str) {
        // 一見未使用の変数だが、 `eval` 実行時に f, sf, tf, mp を認識するために必要となる
        var TG = TYRANO.kag;
        var f = TYRANO.kag.stat.f;
        var sf = TYRANO.kag.variable.sf;
        var tf = TYRANO.kag.variable.tf;
        var mp = TYRANO.kag.stat.mp;

        try {
            eval(str);
            // 変更部分 ==============================================
            // TYRANO.kag.saveSystemVariable();
            if (str.match(/sf\..*=/)) TYRANO.kag.saveSystemVariable();
            // ここまで ==============================================
        } catch (e) {
            console.error(e);
            TYRANO.kag.warning(e, true);
        }

        /*
      if(TYRANO.kag.kag.is_rider){
          TYRANO.kag.kag.rider.pushVariableGrid();
      }
      */

        if (TYRANO.kag.kag.is_studio) {
            TYRANO.kag.kag.studio.notifyChangeVariable();
        }
    };
})();

